io.milvus.param.highlevel.dml

## Class QuerySimpleParam.Builder

- java.lang.Object
- - io.milvus.param.highlevel.dml.QuerySimpleParam.Builder

Enclosing class:
  QuerySimpleParam

    public static class QuerySimpleParam.Builder
    extends java.lang.Object

Builder for `QuerySimpleParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`QuerySimpleParam` `build()` Verifies parameters and creates a new `QuerySimpleParam` instance.
`QuerySimpleParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`QuerySimpleParam.Builder` `withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)` ConsistencyLevel of consistency level.
`QuerySimpleParam.Builder` `withFilter(@NonNull java.lang.String filter)` Sets the expression to query entities.
`QuerySimpleParam.Builder` `withLimit(@NonNull java.lang.Long limit)` Specify a value to control the returned number of entities.
`QuerySimpleParam.Builder` `withOffset(@NonNull java.lang.Long offset)` Specify a position to return results.
`QuerySimpleParam.Builder` `withOutputFields(@NonNull java.util.List<java.lang.String> outputFields)` Specifies output fields (Optional).

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public QuerySimpleParam.Builder withCollectionName(@NonNull
                                                       @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withOutputFields

    public QuerySimpleParam.Builder withOutputFields(@NonNull
                                                     @NonNull java.util.List<java.lang.String> outputFields)

Specifies output fields (Optional).

Parameters:
  `outputFields` - output fields
Returns:
  `Builder`

#### withFilter

    public QuerySimpleParam.Builder withFilter(@NonNull
                                               @NonNull java.lang.String filter)

Sets the expression to query entities.

Parameters:
  `filter` - filtering expression
Returns:
  `Builder`
See Also:
  Boolean Expression Rules

#### withOffset

    public QuerySimpleParam.Builder withOffset(@NonNull
                                               @NonNull java.lang.Long offset)

Specify a position to return results. Only take effect when the 'limit' value is specified. Default value is 0, start from begin.

Parameters:
  `offset` - a value to define the position
Returns:
  `Builder`

#### withLimit

    public QuerySimpleParam.Builder withLimit(@NonNull
                                              @NonNull java.lang.Long limit)

Specify a value to control the returned number of entities. Must be a positive value. Default value is 0, will return without limit.

Parameters:
  `limit` - a value to define the limit of returned entities
Returns:
  `Builder`

#### withConsistencyLevel

    public QuerySimpleParam.Builder withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)

ConsistencyLevel of consistency level.

Parameters:
  `consistencyLevel` - consistency level
Returns:
  `Builder`

#### build

    public QuerySimpleParam build()
                           throws ParamException

Verifies parameters and creates a new `QuerySimpleParam` instance.

Returns:
  `QuerySimpleParam`
Throws:
  `ParamException`